Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
OpenGLPandaWindow Class Reference
Inheritance diagram for OpenGLPandaWindow:

## Public Member Functions
| __init__ (self, *args, **kw)
| cleanup (self)
| onIdle (self, event)
| onPaint (self, event)
| onSize (self, event)

## Public Attributes
bool | hasCapture = False
| inputDevice = None
| onIdle
| onPaint
| onSize = self.win.getInputDevice(0)
bool | visible = False
| win = base.openWindow(callbackWindowDict = callbackWindowDict, pipe = pipe, gsg = gsg, type = 'onscreen')

## Static Public Attributes
dict | Keymap
| removeCallbackWindow = ConfigVariableBool('remove-callback-window', True)

## Detailed Description

     This class implements a Panda3D "window" that actually draws
    within the wx GLCanvas object.  It is supported whenever OpenGL is
    Panda's rendering engine, and GLCanvas is available in wx.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  | * | args,
|  | ** | kw )

## Member Function Documentation

## ◆ cleanup()

cleanup | ( |  | self | ) |

     Parent windows should call cleanup() to clean up the
    wxPandaWindow explicitly (since we can't catch EVT_CLOSE
    directly).

## ◆ onIdle()

onIdle | ( |  | self,
|  |  | event )

## ◆ onPaint()

onPaint | ( |  | self,
|  |  | event )

     This is called whenever we get the first paint event,
    at which point we can conclude that the window has
    actually been manifested onscreen.  (In X11, there appears
    to be no way to know this otherwise.)

## ◆ onSize()

onSize | ( |  | self,
|  |  | event )

## Member Data Documentation

## ◆ hasCapture

bool hasCapture = False

## ◆ inputDevice

inputDevice = None

## ◆ Keymap

dict Keymap
| static

## ◆ onIdle

onIdle

## ◆ onPaint

onPaint

## ◆ onSize

onSize = self.win.getInputDevice(0)

## ◆ removeCallbackWindow

removeCallbackWindow = ConfigVariableBool('remove-callback-window', True)
| static

## ◆ visible

bool visible = False

## ◆ win

win = base.openWindow(callbackWindowDict = callbackWindowDict, pipe = pipe, gsg = gsg, type = 'onscreen')